//=============================================================================
// ActorDestroyer.
//=============================================================================
class ActorDestroyer expands Keypoint;

var() name DestroyActorsWithTag;
var () byte DestroyDelay;



event DestroyThem() {
local Actor A;

	foreach AllActors(Class'Actor', A, DestroyActorsWithTag)
		A.Destroy();
}



event Timer() {
	DestroyThem();

}



function Trigger (Actor Other, Pawn EventInstigator) {
	if (DestroyDelay != 0)
		SetTimer(DestroyDelay, false);
	else
		DestroyThem();
}



defaultproperties {
	bStatic=False
	DestroyDelay=0
}
